DetailedSemanticException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast
Class DetailedSemanticException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              antlr.ANTLRException
                  antlr.RecognitionException
                      antlr.SemanticException
                          org.hibernate.hql.internal.ast.DetailedSemanticException

All Implemented Interfaces:
  Serializable

    public class DetailedSemanticException

extends antlr.SemanticException

Thrown when a call to the underlying Hibernate engine fails, indicating some form of semantic exception (e.g. a class name was not found in the current mappings, etc.).

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.RecognitionException
`column, fileName, line`

Constructor Summary
`DetailedSemanticException(String message)`
`DetailedSemanticException(String s, Throwable e)`

Method Summary
`void` | `printStackTrace()` Prints a stack trace.
`void` | `printStackTrace(PrintStream s)` Prints a stack trace to the specified print stream.
`void` | `printStackTrace(PrintWriter w)` Prints this throwable and its backtrace to the specified print writer.
`String` | `toString()` Converts everything to a string.

Methods inherited from class antlr.RecognitionException
`getColumn, getErrorMessage, getFilename, getLine`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DetailedSemanticException

    public DetailedSemanticException(String message)

### DetailedSemanticException

    public DetailedSemanticException(String s,
                                     Throwable e)

Method Detail

### toString

    public String toString()

  Converts everything to a string.

  Overrides:
    `toString` in class `antlr.RecognitionException`
  Returns:
    a string.

### printStackTrace

    public void printStackTrace()

  Prints a stack trace.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream s)

  Prints a stack trace to the specified print stream.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `s` - the print stream.

### printStackTrace

    public void printStackTrace(PrintWriter w)

  Prints this throwable and its backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `w` - the print writer.s

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.